using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("技能")]
    public partial class T_FM_PERSON_SKILLS : MesEntityBase
    {

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_Person", "Nav_PersonSkills")]
        public Guid PERSON_ID { get; set; } = Guid.Empty;
        [Description("导航：用户表")]
        public virtual T_FM_PERSON Nav_Person { get; set; }


        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(100)]
        public string NAME { get; set; }

        /// <summary>
        /// 等级
        /// </summary>
        [Description("等级")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string LEVEL { get; set; }

        /// <summary>
        /// 排序号
        /// </summary>
        [Description("排序号")]
        public int NUM { get; set; } = 0;
    }
}
